<?php
/*
*	@version	0.1.8
*	@author		Ruud Eisinga - www.dev4me.nl
*	@date		2014-07-21
*
*/

function showbanner ($group = 0) {
	global $database, $wb;
	
	$btable = TABLE_PREFIX .'mod_wbanner_banner';
	$stable = TABLE_PREFIX .'mod_wbanner_stats';
	$gtable = TABLE_PREFIX .'mod_wbanner_groups';
	$now = mktime();
	$thismonth = date("Ym");

	if (!$group == 0) {
		if(!is_numeric($group)) {
			$q = $database->query("SELECT * from ".$gtable." WHERE group_name = '$group'"); 
			if ($q) {
				$record = $q->fetchRow();
				$group = $record['group_id'];
			}
		}
		if(!is_numeric($group)) {
			echo 'Bannergroup not found';
			return;
		}
	}
	
	$banner_query = $database->query("SELECT  s.*, b.*
		FROM ".$btable." as b 
		LEFT JOIN (SELECT * FROM ".$stable." WHERE month='$thismonth') as s 
		USING (id)
		WHERE b.active = 1
		AND b.url != ''
		AND b.image != ''
		AND (b.group_id = '$group' || b.group_id = 0)
		AND (b.first_date = 0 || b.first_date <= UNIX_TIMESTAMP())
		AND (b.expiry_date = 0 || b.expiry_date >= UNIX_TIMESTAMP())
		AND ((b.max_display_count = 0) || (s.display_count IS NULL) || s.display_count < b.max_display_count)
		AND ((b.max_click_count = 0) || (s.click_count IS NULL) || s.click_count < b.max_click_count)
		ORDER BY s.last
	");
	
	if ($banner_query && $banner_query->numRows() >0) {
		$content = $banner_query->fetchRow();
		$url = $content['url'];
		$id = $content['id'];
		$img = $content['image'];
		$alt = $content['alt'];
		echo '<div class="wbanner"><a href="http://'.$url.'" onclick="javascript:window.open(\''.WB_URL.'/modules/wbanner?id='.$id.'\'); return false;" target="_new"><img border="0" src="'.WB_URL.$img.'" alt="'.$alt.'" title="'.$alt.'"></a></div>';
		UpdateCounter($id,$thismonth);
	} else {
		echo "No Banners for ".$group;
	}
}

function UpdateCounter($id,$thismonth) {
	global $database;
	$stable = TABLE_PREFIX ."mod_wbanner_stats";
	$now = microtime (true)*1000;

	$check = $database->query("SELECT * FROM ".$stable." WHERE id = '$id' AND month = '$thismonth'");
	if ($check && $check->numRows() > 0) {
		$database->query ( "UPDATE ".$stable." SET display_count=display_count+1, last = '$now' WHERE id = '$id' AND month = '$thismonth'");
		//echo "Updated..".$id." - ".$now;
	} else {
		$database->query ( "INSERT INTO ".$stable." (id,month,display_count,last) VALUES ('$id','$thismonth',1,'$now')");
		//echo "Inserted..".$id." - ".$now;
	}
	return ;
}

?>
