<?php
/*
*	@version	0.1.8
*	@author		Ruud Eisinga - www.dev4me.nl
*	@date		2014-07-21
*
*/

if(!defined('WB_PATH')) die(header('Location: ../index.php'));

$table = TABLE_PREFIX .'mod_wbanner_banner';
$database->query("DROP TABLE IF EXISTS `$table`");
$database->query("CREATE TABLE `$table` (
	`id` INT NOT NULL auto_increment,
	`group_id` INT NOT NULL DEFAULT '0',
	`name` VARCHAR(32) NOT NULL DEFAULT '',
	`image` TEXT NOT NULL ,
	`alt` TEXT NOT NULL ,
	`height` INT NOT NULL DEFAULT '0',
	`width` INT NOT NULL DEFAULT '0',
	`url` TEXT NOT NULL,
	`max_display_count` INT NOT NULL DEFAULT '0',
	`max_click_count` INT NOT NULL DEFAULT '0',	
	`first_date` VARCHAR(255) NOT NULL DEFAULT '0',
	`expiry_date` VARCHAR(255) NOT NULL DEFAULT '0',
	`modified_when` INT NOT NULL DEFAULT '0',
	`modified_by` INT NOT NULL DEFAULT '0',
	`active` INT NOT NULL DEFAULT '0',
	`comments` TEXT NOT NULL,
	PRIMARY KEY ( `id` )
	)"
);

$table = TABLE_PREFIX .'mod_wbanner_stats';
$database->query("DROP TABLE IF EXISTS `$table`");
$database->query("CREATE TABLE `$table` (
	`id` INT NOT NULL ,
	`month` VARCHAR(32) NOT NULL,
	`display_count` INT NOT NULL DEFAULT '0',
	`click_count` INT NOT NULL DEFAULT '0',
	`last` BIGINT NOT NULL DEFAULT '0'
	)"
);

$table = TABLE_PREFIX .'mod_wbanner_groups';
$database->query("DROP TABLE IF EXISTS `$table`");
$database->query("CREATE TABLE `$table` (
	`group_id` INT NOT NULL auto_increment,
	`group_name` VARCHAR(32) NOT NULL DEFAULT '',
	PRIMARY KEY ( `group_id` )
	)"
);

load_module(WB_PATH.'/modules/wbanner/snippet');

?>