<?php
/*
*	@version	0.1.8
*	@author		Ruud Eisinga - www.dev4me.nl
*	@date		2014-07-21
*
*/

require('../../config.php');

// Get id
if(!isset($_GET['banner_id']) OR !is_numeric($_GET['banner_id'])) {
	header("Location: ".ADMIN_URL."/pages/index.php");
} else {
	$banner_id = $_GET['banner_id'];
}

require_once(WB_PATH.'/framework/class.admin.php');
require_once(WB_PATH.'/framework/functions.php');

$admintool_link = ADMIN_URL .'/admintools/index.php';
$module_edit_link = ADMIN_URL .'/admintools/tool.php?tool=wbanner';
$admin = new admin('admintools', 'admintools');

// check if backend.css file needs to be included into the <body></body> of modify.php
if(!method_exists($admin, 'register_backend_modfiles') && file_exists(WB_PATH ."/modules/wbanner/backend.css")) {
	echo '<style type="text/css">';
	include(WB_PATH .'/modules/wbanner/backend.css');
	echo "n</style>n";
}

// Load Language file
if(!file_exists(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/wbanner/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php');
}

// include jscalendar-setup
$jscal_use_time = false; // whether to use a clock, too
require_once(WB_PATH."/include/jscalendar/wb-setup.php");

$modified_when = mktime();
$modified_by = $admin->get_user_id();
	
$btable = TABLE_PREFIX .'mod_wbanner_banner';

// Get header and footer
$query_content = $database->query("SELECT * FROM ".$btable." WHERE id = '$banner_id'");
$fetch_content = $query_content->fetchRow();
$firstdate = $fetch_content['first_date'];
$expiredate = $fetch_content['expiry_date'];

function p($text) {
	global $WB_HELP;
	echo 'onfocus="overlib(\''.$WB_HELP[$text].'\',CAPTION,\'Help\',BORDER,2, WIDTH,300,RELY, -20, FOLLOWMOUSE, RELX,-30)" onblur="nd()"';
}

?>
<div class="jsadmin jcalendar hide"></div>
<script type="text/javascript" src="<?php echo WB_URL; ?>/modules/wbanner/overlib.js"></script>
<h4 style="margin: 0; border-bottom: 1px solid #DDD; padding-bottom: 5px;">
	<a href="<?php echo $admintool_link;?>"><?php echo $HEADING['ADMINISTRATION_TOOLS']; ?></a>
	->
	<a href="<?php echo $module_edit_link;?>">wBanners</a>
</h4>
<br />
<form enctype="multipart/form-data" name="modify" action="<?php echo WB_URL; ?>/modules/wbanner/save_banner.php" method="post" style="margin: 0;">
<input type="hidden" name="banner_id" value="<?php echo $banner_id; ?>">

<table class="row_a" cellpadding="4" cellspacing="0" border="0" width="100%">
	<tr>
		<td colspan="2"><strong>wBanner Edit</strong></td>
	</tr>
	<tr>
		<td class="setting_name" width="150px">
			<?php echo $WB_TEXT['ACTIVE']; ?>:
		</td>
		<td>	
			<input type="radio" name="active" id="active_true" value="1" <?php if($fetch_content['active'] == 1) { echo ' checked'; } ?> />
			<a href="#" onclick="javascript: document.getElementById('active_true').checked = true;">
			<label><?php echo $WB_TEXT['YES']; ?></label>
			</a>
			<input type="radio" name="active" id="active_false" value="0" <?php if($fetch_content['active'] == 0) { echo ' checked'; } ?> />
			<a href="#" onclick="javascript: document.getElementById('active_false').checked = true;">
			<label><?php echo $WB_TEXT['NO']; ?></label>
			</a>
		</td>
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['IMAGE']; ?>:</td>
	<?php if($fetch_content['image'] !== "" && file_exists(WB_PATH.$fetch_content['image'])) { ?>
		<td><input type="hidden" name="image" value="<?php echo htmlspecialchars($fetch_content['image']); ?>"/>
		<img style="padding: 5px; border: 1px solid #7f7f7f;" src="<?php echo WB_URL.$fetch_content['image']; ?>">
		&nbsp;
		<input type="checkbox" name="delete_image" id="delete_image" value="true" /><label for="delete_image"><?php echo $WB_TEXT['DELIMAGE']; ?>?</label><p>&nbsp;</p></td>
	<?php } else { ?>
		<td><input size="50" type="file" name="newimage" /></td>
	<?php } ?>
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['WIDTH']; ?> x <?php echo $WB_TEXT['HEIGHT']; ?>:</td>
		<td>
			<input <?php p('SIZE') ?> type="text" name="width" value="<?php echo htmlspecialchars($fetch_content['width']); ?>" style="width: 30px;" />x
			<input <?php p('SIZE') ?> type="text" name="height" value="<?php echo htmlspecialchars($fetch_content['height']); ?>" style="width: 30px;" />
			<?php echo $WB_TEXT['RESIZE']; ?>
		</td>
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['ALT']; ?>:</td>
		<td>
			<input <?php p('ALT') ?> type="text" name="alt" value="<?php echo htmlspecialchars($fetch_content['alt']); ?>" style="width: 98%;" />
		</td>
	</tr>
		<tr>
		<td valign="top" class="setting_name" width="150px"><?php echo $WB_TEXT['URL']; ?>: <p>(do not include "http://")</p></td>
		<td>
			<input <?php p('URL') ?> type="text" name="url" value="<?php echo htmlspecialchars($fetch_content['url']); ?>" style="width: 98%;" />
		</td>
	</tr>	
	<tr>
		<td class="setting_name">
			<?php echo $WB_TEXT['BANNER']; ?>:
		</td>
		<td>
			<input <?php p('BANNER') ?> type="text" name="title" value="<?php echo htmlspecialchars($fetch_content['name']); ?>" style="width: 300px;" maxlength="32" />
		</td>
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['GROUP']; ?>:</td>
		<td>
		<select <?php p('GROUP') ?> name="group" style="width:300px;">
			<option value="0"><?php echo $WB_TEXT['ANYGROUP'] ?></option>
			<?php 
				$gtable = TABLE_PREFIX .'mod_wbanner_groups';
				$query_groups = $database->query("SELECT * FROM ".$gtable."");
				if ($query_groups) {
					while($group = $query_groups->fetchRow()) {
						echo "<option value=\"".$group['group_id']."\"";
						if ($fetch_content['group_id'] == $group['group_id']) echo " selected";
						echo ">".$group['group_name']."</option>"; 
					}
				}
			?>
		</select>
		</td>
	</tr>	
	<tr><td valign="top" class="setting_name"><?php echo $WB_TEXT['PERIOD']; ?>:</td>
		<td valign="top">
		<?php echo $WB_TEXT['FIRSTDATE']; ?>: <input <?php p('FIRSTDATE') ?> type="text" readonly id="start_date" name="start_date" value="<?php if($firstdate==0) print ""; else print date($jscal_format, $firstdate)?>" style="width: 80px;" />
					<img src="<?php echo ADMIN_URL ?>/images/clock_16.png" id="trigger_start" style="cursor: pointer;" title="<?php echo $WB_TEXT['CALENDAR']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" />
					<img src="<?php echo ADMIN_URL ?>/images/clock_del_16.png" style="cursor: pointer;" title="<?php echo $WB_TEXT['DELETE_DATE']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" onclick="document.modify.start_date.value=''" />
		
		<?php echo $WB_TEXT['LASTDATE']; ?>: <input <?php p('LASTDATE') ?> type="text" readonly id="end_date" name="end_date" value="<?php if($expiredate==0) print ""; else print date($jscal_format, $expiredate)?>" style="width: 80px;" />
					<img src="<?php echo ADMIN_URL ?>/images/clock_16.png" id="trigger_stop" style="cursor: pointer;" title="<?php echo $WB_TEXT['CALENDAR']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" />
					<img src="<?php echo ADMIN_URL ?>/images/clock_del_16.png" style="cursor: pointer;" title="<?php echo $WB_TEXT['DELETE_DATE']; ?>" onmouseover="this.style.background='lightgrey';" onmouseout="this.style.background=''" onclick="document.modify.end_date.value=''"/>
		</td>	
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['MAXVIEWS']; ?>:</td>
		<td>
			<input <?php p('MAXVIEW') ?> type="text" name="max_display" value="<?php echo htmlspecialchars($fetch_content['max_display_count']); ?>" style="width: 50px;" />
		</td>
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['MAXCLICKS']; ?>:</td>
		<td>
			<input <?php p('MAXCLICK') ?> type="text" name="max_click" value="<?php echo htmlspecialchars($fetch_content['max_click_count']); ?>" style="width: 50px;" />
		</td>
	</tr>
	<tr>
		<td colspan="2">					
		</td>
	</tr>
	<tr>
		<td valign="top" class="setting_name"><?php echo $WB_TEXT['COMMENT']; ?>:</td>
		<td>
			<textarea <?php p('COMMENT') ?> name="comments" style="width: 98%; height: 100px;"><?php echo htmlspecialchars($fetch_content['comments']); ?></textarea>
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;					
		</td>
	</tr>
</table>
<br />
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td align="left">
			<button  class="save" name="save" type="submit"><?php echo $WB_TEXT['SAVE']; ?></button>
			</form>
		</td>
		<td align="right">
			<button class="cancel" type="button" onclick="javascript: window.location = '<?php echo $module_edit_link; ?>';"><?php echo $WB_TEXT['CANCEL']; ?></button>
		</td>
	</tr>
</table>
	
<script type="text/javascript">
	Calendar.setup(
		{
			inputField  : "start_date",
			ifFormat    : "<?php echo $jscal_ifformat ?>",
			button      : "trigger_start",
			firstDay    : <?php echo $jscal_firstday ?>,
			<?php if(isset($jscal_use_time) && $jscal_use_time==TRUE) { ?>
				showsTime   : "true",
				timeFormat  : "24",
			<?php } ?>
			date        : "<?php echo $jscal_today ?>",
			range       : [1970, 2037],
			step        : 1
		}
	);
</script>
<script type="text/javascript">
	Calendar.setup(
		{
			inputField  : "end_date",
			ifFormat    : "<?php echo $jscal_ifformat ?>",
			button      : "trigger_stop",
			firstDay    : <?php echo $jscal_firstday ?>,
			<?php if(isset($jscal_use_time) && $jscal_use_time==TRUE) { ?>
				showsTime   : "true",
				timeFormat  : "24",
			<?php } ?>
			date        : "<?php echo $jscal_today ?>",
			range       : [1970, 2037],
			step        : 1
		}
	);
</script>

<?php

// Print admin footer
$admin->print_footer();

?>