<?php
/*
*	@version	0.1.8
*	@author		Ruud Eisinga - www.dev4me.nl
*	@date		2014-07-21
*
*/

require('../../config.php');
if(!file_exists(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/wbanner/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/wbanner/languages/'.LANGUAGE.'.php');
}

require_once(WB_PATH.'/framework/class.admin.php');
require_once(WB_PATH.'/framework/functions.php');
$admin = new admin('admintools','admintools',false,false);

echo '<style type="text/css">';
include(WB_PATH .'/modules/wbanner/backend.css');
echo "\n</style>\n";


$btable = TABLE_PREFIX .'mod_wbanner_banner';
$stable = TABLE_PREFIX .'mod_wbanner_stats';
$gtable = TABLE_PREFIX .'mod_wbanner_groups';

if($admin->get_permission('admintools') == true) {
	
	$admintool_link = ADMIN_URL .'/admintools/index.php';
	$module_edit_link = ADMIN_URL .'/admintools/tool.php?tool=wbanner';
	$admin = new admin('admintools', 'admintools');
?>
			<table width="800" border="1" cellspacing="0" cellpadding="3">
			<tr>
			<thead>
				<td width="10">&nbsp;</td>
				<td nowrap="nowrap"><?php echo $WB_TEXT['BANNER']; ?></td>
				<td nowrap="nowrap"><?php echo $WB_TEXT['GROUP']; ?></td>
				<td nowrap="true" width="115"><?php echo $WB_TEXT['MAXIC']; ?></td>
				<td nowrap="true" width="115"><?php echo $WB_TEXT['FIRSTDATE']; ?></td>
				<td nowrap="true" width="115"><?php echo $WB_TEXT['LASTDATE']; ?></td>
				<td><?php echo $WB_TEXT['STATS']; ?></td>
			</thead>
		</tr>
<?php

	$query_banners = $database->query("SELECT * FROM ".$btable." ORDER BY group_id");
	if ($query_banners ) {
		while($banner = $query_banners->fetchRow()) {
			echo '<tr>';
			echo '<td valign=top>Id'.$banner['id'];
			echo '</td><td valign=top>'.$banner['name'];
			echo '</td><td valign=top>'.getGroupName($banner['group_id']);
			echo '</td><td valign=top>'.($banner['max_display_count']?$banner['max_display_count']:"-")." / ".($banner['max_click_count']?$banner['max_click_count']:"-") ; 
			echo $banner['first_date']>0 ? '</td><td valign=top>'.date(DATE_FORMAT, $banner['first_date']): '</td><td valign=top>- -'; 
			echo $banner['expiry_date']>0 ? '</td><td valign=top>'.date(DATE_FORMAT, $banner['expiry_date']): '</td><td valign=top>- -';
			echo '</td><td valign=top>'.stats($banner); 
			echo '</td></tr>';
		}
	}
	echo '</table>';
	// Print admin footer
	$admin->print_footer();
} else {
	die(header('Location: ../../index.php'));
} 



function stats ($banner) {
	global $stable, $database, $WB_TEXT;
	$id = $banner['id'];
	$query = $database->query("SELECT * FROM ".$stable." WHERE id = '$id' ORDER BY month DESC LIMIT 0,12");
	if ($query) {
		$rval = '<table border=1 cellspacing=0 cellpadding=3>';
		$rval .= '<tr><thead><td width=140>'.$WB_TEXT['MONTH'].'</td><td width=100>'.$WB_TEXT['VIEWS'].'</td><td width=100>'.$WB_TEXT['CLICKS'].'</td></thead></tr>';
		while ($stats = $query->fetchRow()) {
			$rmonth = substr($stats['month'],0,4)." - ".substr($stats['month'],4);
			$rval .= "<tr><td>".$rmonth."</td><td>".$stats['display_count']."</td><td>".$stats['click_count']."</td></tr>";
		}
		$rval .= "</table>";
		return $rval;
	}	
	return "";
}

function getGroupName ( $group_id ) {
	global $gtable, $database,$WB_TEXT;
	$query_groups = $database->query("SELECT * FROM ".$gtable." where group_id = '$group_id'");
	if ($query_groups && $group = $query_groups->fetchRow()) 
		return $group['group_name'];
	if ($group_id == '0')
		return $WB_TEXT['ANYGROUP'];
	return $WB_TEXT['ERRORGROUP'];
}
?>